Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## speech
Class DialogBranch

    java.lang.Object
      speech.DialogBranch

All Implemented Interfaces:
  java.io.Serializable

    public class DialogBranch

extends java.lang.Object
implements java.io.Serializable

This class represents a branch of a dialog

Author:
  Frank Bruns
See Also:
  Serialized Form

Constructor Summary
`DialogBranch(int id, java.lang.String question, Talk talkAction)` Creates a new dialog branch with the specified talk action.

Method Summary
`java.lang.String` | `getAssociatedQuestion()` Returns the question that is associated to this dialog branch.
`int` | `getID()` Returns the id of the dialog branch
`Talk` | `getTalkAction()` Returns the talk action of the dialog branch
`boolean` | `isExcluded()` Returns whether the dialog branch is to be excluded from showing in the question selection area
`void` | `setExclude(boolean exclude)` Returns whether the dialog branch is to be excluded from showing in the question selection area

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DialogBranch

    public DialogBranch(int id,
                        java.lang.String question,
                        Talk talkAction)

  Creates a new dialog branch with the specified talk action. Make sure that the talk action is already filled with all the sentences when you pass it over as an parameter

  Parameters:
    `id` - id of the dialog branch
    `talkAction` - talk action for the dialog branch

Method Detail

### getID

    public int getID()

  Returns the id of the dialog branch

  Returns:
    id of the dialog branch

### isExcluded

    public boolean isExcluded()

  Returns whether the dialog branch is to be excluded from showing in the question selection area

  Returns:
    is to be excluded? --> true=yes, false=no

### setExclude

    public void setExclude(boolean exclude)

  Returns whether the dialog branch is to be excluded from showing in the question selection area

  Parameters:
    `exclude` - exclude from selection area? --> true=yes, false=no

### getAssociatedQuestion

    public java.lang.String getAssociatedQuestion()

  Returns the question that is associated to this dialog branch.

  Returns:
    question that is associated to this dialog branch

### getTalkAction

    public Talk getTalkAction()

  Returns the talk action of the dialog branch

  Returns:
    talk action of the dialog branch

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD